For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Products Channel Assignments
              • PUTCreate Products Channel Assignments
              • DELDelete Products Channel Assignments
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsChannel Assignments

List Products Channel Assignments

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/channel-assignments
GET
/stores/:store_hash/v3/catalog/products/channel-assignments
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/channel-assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "product_id": 10234,
5 "channel_id": 7
6 },
7 {
8 "product_id": 10235,
9 "channel_id": 3
10 },
11 {
12 "product_id": 10236,
13 "channel_id": 7
14 },
15 {
16 "product_id": 10237,
17 "channel_id": 2
18 },
19 {
20 "product_id": 10238,
21 "channel_id": 5
22 }
23 ],
24 "meta": {
25 "pagination": {
26 "total": 246,
27 "count": 5,
28 "per_page": 5,
29 "current_page": 1,
30 "total_pages": 50,
31 "links": {
32 "previous": "?limit=5&page=0",
33 "current": "?limit=5&page=1",
34 "next": "?limit=5&page=2"
35 }
36 }
37 }
38}
Returns a list of products channel assignments.
Was this page helpful?
Previous

Delete Products Category Assignments

Next

Create Products Channel Assignments

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

product_id:inlist of integersOptional

Pass a comma-separated list to filter by one or more product IDs.

channel_id:inlist of integersOptional

Pass a comma-separated list to filter by one or more channel IDs.

Response

Collection of channel assignments.
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.